Subject: bug#9074: 24.0.50; problems trying to mail bug report, again

From: "Drew Adams" <[email-masked]>
Date: Tue, 9 Aug 2011 15:37:51 -0700

Can you please fix this bug once and for all?  It's been a month now...

Users with `emacs -Q' should not need to edit the `From' field if they are going
to use mailclient anyway.

This was a silly, misguided, and retrograde change to Emacs.  It should be
reverted as soon as possible.  It just acts as one more confusing obstacle,
especially for newbies.

As in the past, users should simply be asked whether they want to send the
message - nothing more.

If you want to encourage users to configure mail for SMTP or anything else, that
should be outside the context of a bug report.  That is, unless configuration is
absolutely necessary before the message can be sent.  But that should be
determined only after an attempt is made to send the message.  And mailclient
should be the default, in any case.

If you want to push Emacs users to also use Gnus or a particular mail
client/method, please do it outside of Emacs bug reporting.